link: search/artists/%22GLOVE%20ON%20FIGHT%22
meta: {}
query: '"GLOVE ON FIGHT"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22GLOVE%20ON%20FIGHT%22
